<?php
/*
 * name: Piwik
 * description: Piwik plugin analysis the widget traffic / tabs
 * dependencies: no
 * author: Kabache Cyril
 * url: http://www.portaneo.net
 */

define("PIWIK_NAME","Piwik"); 

//install hook
register_hook('install_plugin_piwik/plugin','plugpiwik_install');
//unistall hook
register_hook('uninstall_plugin_piwik/plugin','plugpiwik_uninstall');
//load javascript
register_hook('userinterface_header','load_piwik_js',5,0);
// show configuration: call iframe
register_hook("display_plugin","plugpiwik_display",10,1);
//display iframe
register_hook("iframe_plugin","iframe_plugPiwik",10,1);
// save configuration in DB
register_hook("admin_scr_config_plugins","plugpiwik_save_config",10,1);
    
    
//Load plugin main javascript
function load_piwik_js(){
	echo "<script type='text/javascript' src='../includes/plugins/plugin_piwik/javascript.js?v=1.0.0' ></script>";
}
//display iframe
function plugpiwik_display($info)
{
    if($info['name'] == PIWIK_NAME ) {
        if ( isset($info["ajaxplug"]) && $info["ajaxplug"] == 1) {
            echo '<iframe frameborder="0" marginwidth="1%" height="130px" width="80%" src="../admin/scr_plugin.php?plugname=iframe_plugPiwik"></iframe>';
        } else {
            require_once("plugin_piwik_config.php");
        }
    }
}
//display configuration file
function iframe_plugPiwik($name) {
    if($name == "iframe_plugPiwik" ) {
        require_once("../includes/plugins/plugin_piwik/plugin_piwik_config.php");
        $modifPiwik_plugin = isset($_POST["modifPiwik_plugin"])?$_POST["modifPiwik_plugin"]:0;
        if ( $modifPiwik_plugin == 1)
            launch_hook('admin_scr_config_plugins',$_POST["modifPiwik_plugin"]);
    }
}
// Install function
function plugpiwik_install() {
	global $DB;
	$DB->execute("INSERT INTO `adm_config` (parameter,value,datatype,desttype) VALUES ('piwikurl','../includes/plugins/plugin_piwik/piwik.php','str','A')");
}
//Uninstall function
function plugpiwik_uninstall() {
	global $DB;
	$DB->execute("DELETE FROM `adm_config` WHERE CONVERT(`adm_config`.`parameter` USING utf8)='piwikurl' LIMIT 1");
}
//save plugin configuration in database
function plugpiwik_save_config( $modif=0 ) {
    if($modif == 1) {
        global $DB;
        $piwikurl = (isset($_POST["piwikurl"]))     ?       $_POST["piwikurl"]      :       '../includes/plugins/plugin_piwik/piwik.php';
        if ($piwikurl == '')  $piwikurl = '../includes/plugins/plugin_piwik/piwik.php';
        $sql = 'UPDATE adm_config SET value="'.$piwikurl.'" WHERE parameter="piwikurl" ';
        $DB->execute($sql);
        if ($DB->nbAffected() == 0){
            $sql = 'INSERT INTO adm_config (parameter,value,datatype,desttype) ';
            $sql.= 'VALUES ("piwikurl","'.$piwikurl.'","str","A") ';
            $DB->execute($sql);
        }
    }
} 
?>